Skip to main content
GET
/
v1
/
projects
/
{project_id}
/
trends
Get Project Trends
curl --request GET \
  --url https://api.example.com/v1/projects/{project_id}/trends
import requests

url = "https://api.example.com/v1/projects/{project_id}/trends"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/v1/projects/{project_id}/trends', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "data_points": [
    {
      "date": "2023-11-07T05:31:56Z",
      "score": 123,
      "run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Headers

authorization
string | null

Path Parameters

project_id
string<uuid>
required

Query Parameters

metric
string
default:overall

Score metric to trend

since
string<date-time> | null
until
string<date-time> | null

Response

Successful Response

data_points
TrendDataPoint · object[]
required